Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.schema
Class XSDComplexType

`java.lang.Object
oracle.xml.parser.schema.XSDNode
oracle.xml.parser.schema.XSDComplexType`

All Implemented Interfaces:
  XSDConstantValues

public class XSDComplexType
extends XSDNode

XSDComplexType represents schema complexType definition

Field Summary

Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues
`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schema, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, ROOT_ELEMENT, ROOT_NODE, ROOT_TYPE, SCHEMA_NS, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XDTNS, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

Method Summary
`XSDAttribute[]` | `getAttributeDeclarations()` get attribute declarations of this complex type does not include wild card array of attribute declarations
`XSDNode[]` | `getAttributeSet()` Deprecated. - use getAttributeDeclarations and getAttributeWildcard
`XSDNode[]` | `getBaseAttributeSet()` Deprecated. - access from base type
`XSDNode[]` | `getBaseElementSet()` Deprecated. - use get base type
`XSDNode` | `getBaseType()` Get the base type of this complextype
`XSDNode[]` | `getElementSet()` Get all the local elements inside a complexType element If the complexType element extends another complexType element
`XSDGroup` | `getGroup()` Get the attribute group or the child & attribute group
`java.lang.String` | `getRefLocalname()` Get the local name of resolved 'base' attr
`XSDGroup` | `getTypeGroup()`
`boolean` | `isAbstract()`
`boolean` | `isSimpleContent()`

Methods inherited from class oracle.xml.parser.schema.XSDNode
`getName, getNodeType, getOwnerSchema, getTargetNS, isNodeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getGroup

    public XSDGroup getGroup()

  Get the attribute group or the child & attribute group
  Returns:
    group

### getTypeGroup

    public XSDGroup getTypeGroup()

### getBaseType

    public XSDNode getBaseType()

  Get the base type of this complextype
  Returns:
    XSDNode - base type

### getRefLocalname

    public java.lang.String getRefLocalname()

  Get the local name of resolved 'base' attr
  Overrides:
    `getRefLocalname` in class `XSDNode`
  Returns:
    refLocalname

### isAbstract

    public boolean isAbstract()

### isSimpleContent

    public boolean isSimpleContent()

### getElementSet

    public XSDNode[] getElementSet()

  Get all the local elements inside a complexType element If the complexType element extends another complexType element
  Returns:
    an array of local elements

### getBaseElementSet

    public XSDNode[] getBaseElementSet()

  Deprecated. - use get base type
  Get all the local elements of the base Type of this complexType element
  Returns:
    an array of local elements

### getAttributeSet

    public XSDNode[] getAttributeSet()

  Deprecated. - use getAttributeDeclarations and getAttributeWildcard
  Get all the attributes of the complexType elements
  Returns:
    an array of local attributes

### getAttributeDeclarations

    public XSDAttribute[] getAttributeDeclarations()

  get attribute declarations of this complex type does not include wild card array of attribute declarations

### getBaseAttributeSet

    public XSDNode[] getBaseAttributeSet()

  Deprecated. - access from base type
  Get all the attributes of the base Type of this complexType element
  Returns:
    an array of attribute XSDNodes

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.